summaryrefslogtreecommitdiff
path: root/baserock-system-config-sync/mount-system-versions-dir
diff options
context:
space:
mode:
authorTiago Gomes <tiago.gomes@codethink.co.uk>2013-06-15 23:40:34 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2013-06-25 15:31:15 +0100
commit51f930da27942f1e412a16d87e38c1d6e4d215a4 (patch)
tree6c040cb0b5f7f00ebfd450811ca207beb46b173e /baserock-system-config-sync/mount-system-versions-dir
parent160ccc9e93284ad567f476beb32620bb1e0e33b7 (diff)
downloadtbdiff-51f930da27942f1e412a16d87e38c1d6e4d215a4.tar.gz
Script to merge and syncronize /etc in different system versions
This commit adds a script to merge and syncronize /etc in different system versions. The first argument read from command line is the mode, which can be one of the following: - test: the purpose of this mode is to test some merge cases. It receives from the command line v1_dir, vu_dir and v2_dir and vt_dir. The meaning of these arguments is explained in the script. - merge: merges the user changes in /etc in the run system of the version given as argument - sync: syncronizes /etc in all run versions, so that this directory is exactly the same as the version given as argument. This commit also includes an auxiliary script to mount the systems directory in a give directory given as argument, and some testing folders to use with the test mode.
Diffstat (limited to 'baserock-system-config-sync/mount-system-versions-dir')
-rwxr-xr-xbaserock-system-config-sync/mount-system-versions-dir40
1 files changed, 40 insertions, 0 deletions
diff --git a/baserock-system-config-sync/mount-system-versions-dir b/baserock-system-config-sync/mount-system-versions-dir
new file mode 100755
index 0000000..6028ea4
--- /dev/null
+++ b/baserock-system-config-sync/mount-system-versions-dir
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# Copyright (c) 2013 Codethink Ltd.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License Version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+
+usage() {
+ echo usage: "$(basename $0) mounting_point" >&2
+ exit 1
+}
+
+
+
+if [ "$#" != 1 ]; then
+ usage $0
+fi
+
+
+mouting_point="$1"
+
+disk=$(awk '{ if ($1 != "rootfs" && $2 == "/") print $1 }' /proc/mounts)
+
+mkdir -p "$mouting_point"
+
+mount "$disk" "$mouting_point"
+